libebook::SoftBookText Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::SoftBookText Class Reference

`#include <SoftBookText.h>`

## Public Member Functions
| SoftBookText (librevenge::RVNGInputStream *input, SoftBookCollector *collector)
bool | parse ()

## Private Member Functions
| SoftBookText (const SoftBookText &)
SoftBookText & | operator= (const SoftBookText &)
void | flushText ()

## Private Attributes
librevenge::RVNGInputStream *const | m_input
SoftBookCollector *const | m_collector
std::string | m_text
bool | m_openHeader
bool | m_openFooter

## Constructor & Destructor Documentation

## ◆ SoftBookText() [1/2]

libebook::SoftBookText::SoftBookText | ( | const SoftBookText & |  | ) |
| private

Referenced by operator=(), and SoftBookText().

## ◆ SoftBookText() [2/2]

libebook::SoftBookText::SoftBookText | ( | librevenge::RVNGInputStream * | input,
|  | SoftBookCollector * | collector )

## Member Function Documentation

## ◆ flushText()

void libebook::SoftBookText::flushText | ( |  | ) |
| private

## ◆ operator=()

SoftBookText & libebook::SoftBookText::operator= | ( | const SoftBookText & |  | ) |
| private

## ◆ parse()

bool libebook::SoftBookText::parse | ( |  | ) |

## Member Data Documentation

## ◆ m_collector

SoftBookCollector* const libebook::SoftBookText::m_collector
| private

Referenced by flushText(), parse(), and SoftBookText().

## ◆ m_input

librevenge::RVNGInputStream* const libebook::SoftBookText::m_input
| private

Referenced by parse(), and SoftBookText().

## ◆ m_openFooter

bool libebook::SoftBookText::m_openFooter
| private

Referenced by parse(), and SoftBookText().

## ◆ m_openHeader

bool libebook::SoftBookText::m_openHeader
| private

Referenced by parse(), and SoftBookText().

## ◆ m_text

std::string libebook::SoftBookText::m_text
| private

Referenced by flushText(), parse(), and SoftBookText().

The documentation for this class was generated from the following files:

- SoftBookText.h
- SoftBookText.cpp